org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfLineBreak

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfLineBreak

    public class RtfLineBreak
    extends RtfElement

Model of an RTF line break.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

### Field Summary

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`attrib, parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`protected void` `writeRtfContent()` Overridden to write our attributes before our content

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, okToWriteRtf, toString, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### writeRtfContent

    protected void writeRtfContent()
                            throws IOException

Overridden to write our attributes before our content

Specified by:
  `writeRtfContent` in class `RtfElement`
Throws:
  `IOException` - for I/O problems

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in class `RtfElement`
Returns:
  true if this element would generate no "useful" RTF content